Bug 992372

Summary: ghc-zlib-conduit: FTBFS in rawhide
Product: [Fedora] Fedora Reporter: Dennis Gilmore <dennis>
Component: ghc-zlib-conduitAssignee: Jens Petersen <petersen>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: haskell-devel, petersen
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: ghc-xss-sanitize-0.3.5.2-1.fc20 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-10 03:00:03 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 992362    
Bug Blocks: 991858    

Description Dennis Gilmore 2013-08-05 04:22:22 UTC
Your package ghc-zlib-conduit failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5720778

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/778/5720778/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/778/5720778/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/778/5720778/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

Comment 1 Fedora End Of Life 2013-09-16 15:30:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Comment 2 Jens Petersen 2014-05-09 05:28:57 UTC
Fixed now in f21 rawhide

Comment 3 Fedora Update System 2014-05-30 03:27:01 UTC
pandoc-1.12.3.3-2.fc20, ghc-conduit-1.0.13.1-1.fc20, ghc-wai-1.4.1-1.fc20, ghc-hakyll-4.5.1.0-2.fc20, ghc-warp-1.3.8.4-1.fc20, ghc-scotty-0.5.0-4.fc20, ghc-citeproc-hs-0.3.9-2.fc20, ghc-tagsoup-0.13.1-1.fc20, ghc-texmath-0.6.6.1-1.fc20, ghc-pandoc-types-1.12.3.3-1.fc20, ghc-yaml-0.8.8.2-1.fc20, ghc-wai-extra-1.3.4.6-1.fc20, ghc-monad-logger-0.3.1.1-3.fc20, ghc-zlib-conduit-1.0.0-4.fc20, ghc-wai-logger-0.3.2-1.fc20, ghc-network-conduit-1.0.4-1.fc20, ghc-blaze-builder-conduit-1.0.0-4.fc20, ghc-attoparsec-conduit-1.0.1.2-1.fc20, ghc-resourcet-0.4.10.2-1.fc20, ghc-lifted-base-0.2.2.1-1.fc20, ghc-vault-0.3.0.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2014-6874/pandoc-1.12.3.3-2.fc20,ghc-conduit-1.0.13.1-1.fc20,ghc-wai-1.4.1-1.fc20,ghc-hakyll-4.5.1.0-2.fc20,ghc-warp-1.3.8.4-1.fc20,ghc-scotty-0.5.0-4.fc20,ghc-citeproc-hs-0.3.9-2.fc20,ghc-tagsoup-0.13.1-1.fc20,ghc-texmath-0.6.6.1-1.fc20,ghc-pandoc-types-1.12.3.3-1.fc20,ghc-yaml-0.8.8.2-1.fc20,ghc-wai-extra-1.3.4.6-1.fc20,ghc-monad-logger-0.3.1.1-3.fc20,ghc-zlib-conduit-1.0.0-4.fc20,ghc-wai-logger-0.3.2-1.fc20,ghc-network-conduit-1.0.4-1.fc20,ghc-blaze-builder-conduit-1.0.0-4.fc20,ghc-attoparsec-conduit-1.0.1.2-1.fc20,ghc-resourcet-0.4.10.2-1.fc20,ghc-lifted-base-0.2.2.1-1.fc20,ghc-vault-0.3.0.3-1.fc20

Comment 4 Fedora Update System 2014-05-30 23:54:30 UTC
Package ghc-xss-sanitize-0.3.5.2-1.fc20, ghc-lambdabot-utils-4.2.2-4.fc20, pandoc-1.12.3.3-2.fc20, ghc-conduit-1.0.13.1-1.fc20, ghc-wai-1.4.1-1.fc20, ghc-hakyll-4.5.1.0-2.fc20, ghc-warp-1.3.8.4-1.fc20, ghc-scotty-0.5.0-4.fc20, ghc-citeproc-hs-0.3.9-2.fc20, ghc-tagsoup-0.13.1-1.fc20, ghc-texmath-0.6.6.1-1.fc20, ghc-pandoc-types-1.12.3.3-1.fc20, ghc-yaml-0.8.8.2-1.fc20, ghc-wai-extra-1.3.4.6-1.fc20, ghc-monad-logger-0.3.1.1-3.fc20, ghc-zlib-conduit-1.0.0-4.fc20, ghc-wai-logger-0.3.2-1.fc20, ghc-network-conduit-1.0.4-1.fc20, ghc-blaze-builder-conduit-1.0.0-4.fc20, ghc-attoparsec-conduit-1.0.1.2-1.fc20, ghc-resourcet-0.4.10.2-1.fc20, ghc-lifted-base-0.2.2.1-1.fc20, ghc-vault-0.3.0.3-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghc-xss-sanitize-0.3.5.2-1.fc20 ghc-lambdabot-utils-4.2.2-4.fc20 pandoc-1.12.3.3-2.fc20 ghc-conduit-1.0.13.1-1.fc20 ghc-wai-1.4.1-1.fc20 ghc-hakyll-4.5.1.0-2.fc20 ghc-warp-1.3.8.4-1.fc20 ghc-scotty-0.5.0-4.fc20 ghc-citeproc-hs-0.3.9-2.fc20 ghc-tagsoup-0.13.1-1.fc20 ghc-texmath-0.6.6.1-1.fc20 ghc-pandoc-types-1.12.3.3-1.fc20 ghc-yaml-0.8.8.2-1.fc20 ghc-wai-extra-1.3.4.6-1.fc20 ghc-monad-logger-0.3.1.1-3.fc20 ghc-zlib-conduit-1.0.0-4.fc20 ghc-wai-logger-0.3.2-1.fc20 ghc-network-conduit-1.0.4-1.fc20 ghc-blaze-builder-conduit-1.0.0-4.fc20 ghc-attoparsec-conduit-1.0.1.2-1.fc20 ghc-resourcet-0.4.10.2-1.fc20 ghc-lifted-base-0.2.2.1-1.fc20 ghc-vault-0.3.0.3-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6874/pandoc-1.12.3.3-2.fc20,ghc-conduit-1.0.13.1-1.fc20,ghc-wai-1.4.1-1.fc20,ghc-hakyll-4.5.1.0-2.fc20,ghc-warp-1.3.8.4-1.fc20,ghc-scotty-0.5.0-4.fc20,ghc-citeproc-hs-0.3.9-2.fc20,ghc-tagsoup-0.13.1-1.fc20,ghc-texmath-0.6.6.1-1.fc20,ghc-pandoc-types-1.12.3.3-1.fc20,ghc-yaml-0.8.8.2-1.fc20,ghc-wai-extra-1.3.4.6-1.fc20,ghc-monad-logger-0.3.1.1-3.fc20,ghc-zlib-conduit-1.0.0-4.fc20,ghc-wai-logger-0.3.2-1.fc20,ghc-network-conduit-1.0.4-1.fc20,ghc-blaze-builder-conduit-1.0.0-4.fc20,ghc-attoparsec-conduit-1.0.1.2-1.fc20,ghc-resourcet-0.4.10.2-1.fc20,ghc-lifted-base-0.2.2.1-1.fc20,ghc-vault-0.3.0.3-1.fc20,ghc-xss-sanitize-0.3.5.2-1.fc20,ghc-lambdabot-utils-4.2.2-4.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-06-10 03:00:03 UTC
ghc-xss-sanitize-0.3.5.2-1.fc20, ghc-lambdabot-utils-4.2.2-4.fc20, pandoc-1.12.3.3-2.fc20, ghc-conduit-1.0.13.1-1.fc20, ghc-wai-1.4.1-1.fc20, ghc-hakyll-4.5.1.0-2.fc20, ghc-warp-1.3.8.4-1.fc20, ghc-scotty-0.5.0-4.fc20, ghc-citeproc-hs-0.3.9-2.fc20, ghc-tagsoup-0.13.1-1.fc20, ghc-texmath-0.6.6.1-1.fc20, ghc-pandoc-types-1.12.3.3-1.fc20, ghc-yaml-0.8.8.2-1.fc20, ghc-wai-extra-1.3.4.6-1.fc20, ghc-monad-logger-0.3.1.1-3.fc20, ghc-zlib-conduit-1.0.0-4.fc20, ghc-wai-logger-0.3.2-1.fc20, ghc-network-conduit-1.0.4-1.fc20, ghc-blaze-builder-conduit-1.0.0-4.fc20, ghc-attoparsec-conduit-1.0.1.2-1.fc20, ghc-resourcet-0.4.10.2-1.fc20, ghc-lifted-base-0.2.2.1-1.fc20, ghc-vault-0.3.0.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.